#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (circular zope.security dependency)
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-zope.component.spec)

%define module	zope.component
Summary:	Core of the Zope Component Architecture
Summary(pl.UTF-8):	Rdzeń Zope Component Architecture
Name:		python-%{module}
# keep 5.x here for python2 support
Version:	5.1.0
Release:	4
License:	ZPL v2.1
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/z/zope.component/zope.component-%{version}.tar.gz
# Source0-md5:	40f0fa6d002d443dad7dab2e11f2d79f
URL:		https://www.zope.dev/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-persistent
BuildRequires:	python-zope.configuration
BuildRequires:	python-zope.deferredimport >= 4.2.1
BuildRequires:	python-zope.deprecation >= 4.3.0
BuildRequires:	python-zope.event
BuildRequires:	python-zope.hookable >= 4.2.0
BuildRequires:	python-zope.i18nmessageid
BuildRequires:	python-zope.interface >= 5.3.0
BuildRequires:	python-zope.location
BuildRequires:	python-zope.proxy
BuildRequires:	python-zope.security
BuildRequires:	python-zope.testing
BuildRequires:	python-zope.testrunner
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.5
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-persistent
BuildRequires:	python3-zope.configuration
BuildRequires:	python3-zope.deferredimport >= 4.2.1
BuildRequires:	python3-zope.deprecation >= 4.3.0
BuildRequires:	python3-zope.event
BuildRequires:	python3-zope.hookable >= 4.2.0
BuildRequires:	python3-zope.i18nmessageid
BuildRequires:	python3-zope.interface >= 5.3.0
BuildRequires:	python3-zope.location
BuildRequires:	python3-zope.proxy
BuildRequires:	python3-zope.security
BuildRequires:	python3-zope.testing
BuildRequires:	python3-zope.testrunner
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python-repoze.sphinx.autointerface
BuildRequires:	python-zope.deferredimport >= 4.2.1
BuildRequires:	python-zope.deprecation >= 4.3.0
BuildRequires:	python-zope.event
BuildRequires:	python-zope.hookable >= 4.2.0
BuildRequires:	python-zope.interface >= 5.3.0
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules >= 1:2.7
Provides:	Zope-Component
Obsoletes:	Zope-Component < 4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Core of the Zope Component Architecture.

%description -l pl.UTF-8
Rdzeń architektury komponentowej Zope Component Architecture.

%package -n python3-zope.component
Summary:	Core of the Zope Component Architecture
Summary(pl.UTF-8):	Rdzeń Zope Component Architecture
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-zope.component
Core of the Zope Component Architecture.

%description -n python3-zope.component -l pl.UTF-8
Rdzeń architektury komponentowej Zope Component Architecture.

%package apidocs
Summary:	API documentation for Python zope.deferredimport module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.deferredimport
Group:		Documentation

%description apidocs
API documentation for Python zope.deferredimport module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.deferredimport.

%prep
%setup -q -n zope.component-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py_sitescriptdir}/zope/component
%{py_sitescriptdir}/zope.component-%{version}-py*.egg-info
%{py_sitescriptdir}/zope.component-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-zope.component
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/component
%{py3_sitescriptdir}/zope.component-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.component-%{version}-py*-nspkg.pth
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Mon May 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.component.git;a=log;h=master

* Mon May 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 903aee9
- disable python3 here, switched docs to python2; release 4

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> d8b5266
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b4a831a
- python 3.13 rebuild

* Tue Sep 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 44de251
- updated to 5.1.0

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 89dbe56
- updated to 4.6.2, finished package

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 587f613
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> de10bd6
- Release 9 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 62d8adf
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 9019f8c
- rebuild with python 3.10

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> bd9e867
- noarch package
- rel 6

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> 10ac27a
- disable debug packages; rel 5

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> bf84847
- python3 BRs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 964be15
- rebuild with python 3.8
- release 4 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 209f6a5
- release 3 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 60fd7ab
- Python3 support added

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 6cb5e11
- Version: 4.4.1

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 2afa7b0
- Zope-Component renamed to python-zope.component

* Sun Dec 06 2015 Elan Ruusamäe <glen@delfi.ee> de86075
- rebuild to include pythonegg provides

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 9f6b074
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fd8331a
- automatic change: use py_build/py_install macros

